Package org.apache.sysds.runtime.controlprogram.federated.monitoring.services

## Class MapperService

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.services.MapperService

    public class MapperService
    extends Object

### Constructor Summary

Constructors
`MapperService()`

### Method Summary

All Methods Static Methods Concrete Methods
`static BaseEntityModel` `getModelFromBody​(Request request)`
`static BaseEntityModel` `mapEntityToModel​(ResultSet resultSet, EntityEnum targetModel)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapperService

    public MapperService()

### Method Detail

#### getModelFromBody

    public static BaseEntityModel getModelFromBody​(Request request)

#### mapEntityToModel

    public static BaseEntityModel mapEntityToModel​(ResultSet resultSet,
                                                   EntityEnum targetModel)